## taurus 4.7.0+dfsg

=== ci/docker-compose/Makefile ===
# Set dir of Makefile to a variable to use later
MAKEPATH := $(abspath $(lastword $(MAKEFILE_LIST)))
BASEDIR := $(notdir $(patsubst %/,%,$(dir $(MAKEPATH))))

COMPOSE_FILES := $(wildcard *.yml)
COMPOSE_FILE_ARGS := $(foreach yml,$(COMPOSE_FILES),-f $(yml))

ATTACH_COMPOSE_FILE_ARGS := $(foreach yml,$(filter-out tango.yml,$(COMPOSE_FILES)),-f $(yml))

# If the first make argument is "start" or "stop"...
ifeq (start,$(firstword $(MAKECMDGOALS)))
  SERVICE_TARGET = true
else ifeq (stop,$(firstword $(MAKECMDGOALS)))
  SERVICE_TARGET = true
else ifeq (attach,$(firstword $(MAKECMDGOALS)))
  SERVICE_TARGET = true
ifndef NETWORK_MODE
$(error NETWORK_MODE must specify the network to attach to, e.g., make NETWORK_MODE=tangonet-powersupply ...)
endif
ifndef TANGO_HOST
$(error TANGO_HOST must specify the Tango database device, e.g., make TANGO_HOST=powersupply-databaseds:100000 ...)
endif
endif
ifdef SERVICE_TARGET
  # .. then use the rest as arguments for the make target
  SERVICE := $(wordlist 2,$(words $(MAKECMDGOALS)),$(MAKECMDGOALS))
  # ...and turn them into do-nothing targets
  $(eval $(SERVICE):;@:)
endif

#
# Never use the network=host mode when running CI jobs, and add extra
# distinguishing identifiers to the network name and container names to
# prevent collisions with jobs from the same project running at the same
# time.
#
CI_JOB_ID ?= $(TRAVIS_JOB_ID)
ifneq ($(CI_JOB_ID),)
NETWORK_MODE := tangonet-$(CI_JOB_ID)
CONTAINER_NAME_PREFIX := $(CI_JOB_ID)-
else
CONTAINER_NAME_PREFIX :=
$(info Network mode cannot be host for the archiver! It won't work unless you set the env var CI_JOB_ID=local)
endif

ifeq ($(OS),Windows_NT)
    $(error Sorry, Windows is not supported yet)
else
	UNAME_S := $(shell uname -s)
	ifeq ($(UNAME_S),Linux)
		DISPLAY ?= :0.0
		NETWORK_MODE ?= host
		XAUTHORITY_MOUNT := /tmp/.X11-unix:/tmp/.X11-unix
		XAUTHORITY ?= /hosthome/.Xauthority
		# /bin/sh (=dash) does not evaluate 'docker network' conditionals correctly
		SHELL := /bin/bash
	endif
	ifeq ($(UNAME_S),Darwin)
		IF_INTERFACE := $(shell scutil --nwi | grep 'Network interfaces:' | cut -d' ' -f3)
		DISPLAY := $(shell scutil --nwi | grep 'address' | cut -d':' -f2 | tr -d ' ' | head -n1):0
		# network_mode = host doesn't work on MacOS, so fix to the internal network
		NETWORK_MODE ?= tangonet
		XAUTHORITY_MOUNT := $(HOME)/.Xauthority:/hosthome/.Xauthority:ro
		XAUTHORITY := /hosthome/.Xauthority
	endif
endif

#
# When running in network=host mode, point devices at a port on the host
# machine rather than at the container.
#
ifeq ($(NETWORK_MODE),host)
	TANGO_HOST := $(shell hostname):10000
	MYSQL_HOST := $(shell hostname):3306
else
	TANGO_HOST := $(CONTAINER_NAME_PREFIX)databaseds:10000
	MYSQL_HOST := $(CONTAINER_NAME_PREFIX)tangodb:3306
endif

DOCKER_COMPOSE_ARGS := DISPLAY=$(DISPLAY) XAUTHORITY=$(XAUTHORITY) TANGO_HOST=$(TANGO_HOST) \
		NETWORK_MODE=$(NETWORK_MODE) XAUTHORITY_MOUNT=$(XAUTHORITY_MOUNT) MYSQL_HOST=$(MYSQL_HOST) \
		CONTAINER_NAME_PREFIX=$(CONTAINER_NAME_PREFIX) COMPOSE_IGNORE_ORPHANS=true


.PHONY: up down minimal start stop status clean pull help
.DEFAULT_GOAL := help

pull: ## pull the images from the Docker hub
	$(DOCKER_COMPOSE_ARGS) docker-compose $(COMPOSE_FILE_ARGS) pull

up: minimal  ## start the base TANGO system and prepare all services
	$(DOCKER_COMPOSE_ARGS) docker-compose $(COMPOSE_FILE_ARGS) up --no-start

down:  ## stop all services and tear down the system
	$(DOCKER_COMPOSE_ARGS) docker-compose $(COMPOSE_FILE_ARGS) down
ifneq ($(NETWORK_MODE),host)
	docker network inspect $(NETWORK_MODE) &> /dev/null && ([ $$? -eq 0 ] && docker network rm $(NETWORK_MODE)) || true
endif

minimal: ## start the base TANGO system
ifneq ($(NETWORK_MODE),host)
	docker network inspect $(NETWORK_MODE) &> /dev/null || ([ $$? -ne 0 ] && docker network create $(NETWORK_MODE))
endif
	$(DOCKER_COMPOSE_ARGS) docker-compose -f tango.yml up -d

start: up ## start a service (usage: make start <servicename>)
	$(DOCKER_COMPOSE_ARGS) docker-compose $(COMPOSE_FILE_ARGS) start $(SERVICE)

stop:  ## stop a service (usage: make stop <servicename>)
	$(DOCKER_COMPOSE_ARGS) docker-compose $(COMPOSE_FILE_ARGS) stop $(SERVICE)

attach:  ## attach a service to an existing Tango network
	$(DOCKER_COMPOSE_ARGS) docker-compose $(ATTACH_COMPOSE_FILE_ARGS) up -d $(SERVICE)

status:  ## show the container status
	$(DOCKER_COMPOSE_ARGS) docker-compose $(COMPOSE_FILE_ARGS) ps

clean: down  ## clear all TANGO database entries
	docker volume rm $(BASEDIR)_tangodb

help:   ## show this help.
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

## taurus 3.0.0

=== debian/changelog ===
taurus (3.0.0-2) unstable; urgency=low

  * Fix FTBFS with inkscape (Closes: #698462)
    - 0002-upstream-fix-for-the-FTBFS-due-to-image-conversion.patch
  * All icons are now available (Closes: #698464)
    - 0003-upstream-fix-tango-icon-resources.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 18 Jan 2013 21:50:25 +0100

taurus (3.0.0-1) unstable; urgency=low

  * Initial release (Closes: #614247)
  * Thanks to Justin B Rye for package description review

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 20 Apr 2012 21:27:45 +0200

=== debian/control ===
Source: taurus
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 8),
               graphviz,
               imagemagick,
               inkscape,
               libqt4-dev,
               pymca,
               pyqt4-dev-tools,
               python-all (>= 2.6.6-3~),
               python-guiqwt,
               python-h5py,
               python-lxml,
               python-numpy (>=1:1.4.1-4),
               python-ply,
               python-pytango,
               python-qt4,
               python-qwt5-qt4,
               python-sphinx,
               python-spyderlib
Standards-Version: 3.9.3
Homepage: http://www.tango-controls.org
X-Python-Version: >= 2.6

Package: python-taurus
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-guiqwt,
         python-h5py,
         python-lxml,
         python-ply,
         python-pytango (>= 7.2.3-1),
         python-qt4,
         python-qwt5-qt4,
         python-spyderlib
Recommends: pymca,
            qt4-designer
Provides: ${python:Provides}
Description: framework for Tango Control System CLI and GUI applications.
 TAURUS is a library for connecting client side applications (command-line
 interfaces and graphical user interfaces) to TANGO device servers, mainly
 developed by CELLS Alba Synchrotron Controls Section. TAURUS is built on top
 of PyTango which is a python binding for the Tango library. It provides an
 abstraction layer that allows TANGO to be accessed in a pythonic, object
 oriented way. For the GUI part, TAURUS is built on top of the graphical
 library PyQt which is a python binding for Qt.
 .
 The goals of this library are:
 Provide a simple Tango API to the end-user application
 Speed up development of tango based applications
 Provide a standardized look-and-feel
 .
 In many aspects, TAURUS follows the same approach as the TANGO Java
 Application Tool Kit: Tango ATK. If you know ATK, TAURUS will look familiar.
 .
 The TAURUS library is divided into two parts: the core module which handles
 all interaction with PyTango and the Qt module which provides a collection of
 widgets that can be used inside any PyQt based GUI.

Package: python-taurus-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: framework for Tango Control System CLI and GUI applications.
 TAURUS is a library for connecting client side applications (command-line
 interfaces and graphical user interfaces) to TANGO device servers, mainly
 developed by CELLS Alba Synchrotron Controls Section. TAURUS is built on top
 of PyTango which is a python binding for the Tango library. It provides an
 abstraction layer that allows TANGO to be accessed in a pythonic, object
 oriented way. For the GUI part, TAURUS is built on top of the graphical
 library PyQt which is a python binding for Qt.
 .
 The goals of this library are:
 Provide a simple Tango API to the end-user application
 Speed up development of tango based applications
 Provide a standardized look-and-feel
 .
 In many aspects, TAURUS follows the same approach as the TANGO Java
 Application Tool Kit: Tango ATK. If you know ATK, TAURUS will look familiar.
 .
 The TAURUS library is divided into two parts: the core module which handles
 all interaction with PyTango and the Qt module which provides a collection of
 widgets that can be used inside any PyQt based GUI.
 .
 This package contains the documentation for the python-taurus library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')

# for backport on stable without bpo
WITH_SPHINXDOC = $(shell if [ -x /usr/bin/dh_sphinxdoc ]; then echo "--with sphinxdoc"; fi)

get-orig-source:
	uscan --force-download --upstream-version $(VERSION)

override_dh_auto_build:
	dh_auto_build -- --no-doc
	python setup.py build_doc --use-inkscape

override_dh_auto_install:
	dh_auto_install -- --skip-build --no-doc
	dh_numpy

%:
	dh $@ --with python2 $(WITH_SPHINXDOC)

.PHONY: get-orig-source

## taurus 3.1.0

=== debian/changelog ===
taurus (3.1.0-1) unstable; urgency=low

  * Imported Upstream version 3.1.0
  * debian/control
    - Remove python-all and python-numpy version constraints now that they
      are fullfiled in all supported Debian versions.
    - Switch to compat level 9
    - Bump Standards-Version to 3.9.4 (nothing to do)
  * Remove patches applyed by the upstream
    - 0001-forwarded-add-no-doc-option.patch (deleted)
    - 0002-upstream-fix-for-the-FTBFS-due-to-image-conversion.patch (deleted)
    - 0003-upstream-fix-tango-icon-resources.patch (deleted)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 24 Feb 2013 18:28:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,25 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: extra
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                graphviz,
                imagemagick,
                inkscape,
                libqt4-dev,
                pymca,
                pyqt4-dev-tools,
-               python-all (>= 2.6.6-3~),
+               python-all,
                python-guiqwt,
                python-h5py,
                python-lxml,
-               python-numpy (>=1:1.4.1-4),
+               python-numpy,
                python-ply,
                python-pytango,
                python-qt4,
                python-qwt5-qt4,
                python-sphinx,
                python-spyderlib
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.tango-controls.org
 X-Python-Version: >= 2.6
 
@@ -34,7 +34,7 @@
          python-h5py,
          python-lxml,
          python-ply,
-         python-pytango (>= 7.2.3-1),
+         python-pytango,
          python-qt4,
          python-qwt5-qt4,
          python-spyderlib

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,18 @@
 get-orig-source:
 	uscan --force-download --upstream-version $(VERSION)
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf build
+	rm -f lib/taurus/qt/qtgui/resource/*.rcc
+	rm -f lib/taurus/qt/qtgui/resource/*.qrc
+	rm -rf doc/source/devel/api
+	rm -f doc/source/devel/catalog.html
+	rm -f lib/taurus/qt/qtgui/resource/catalog.html
+
 override_dh_auto_build:
-	dh_auto_build -- --no-doc
-	python setup.py build_doc --use-inkscape
+	dh_auto_build -- --no-doc --with-extra-widgets
+	python setup.py build_doc --external-img-tools
 
 override_dh_auto_install:
 	dh_auto_install -- --skip-build --no-doc

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/taurus/taurus-(.*)\.tar\.gz

## taurus 3.2.0

=== debian/changelog ===
taurus (3.2.0-1~bpo70+1) wheezy-backports; urgency=medium

  * Backport to stable.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 07 Apr 2014 19:16:29 +0200

taurus (3.2.0-1) unstable; urgency=medium

  * Imported Upstream version 3.2.0
  * debian/control
    - Bump Standards-Version to 3.9.5 (nothing to do)
    - Build-Dep: add rdfind, symlinks to remove duplicated files in the
      python-taurus-doc package.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 15 Feb 2014 21:03:07 +0100

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,10 @@
                python-qt4,
                python-qwt5-qt4,
                python-sphinx,
-               python-spyderlib
-Standards-Version: 3.9.4
+               python-spyderlib,
+               rdfind,
+               symlinks
+Standards-Version: 3.9.5
 Homepage: http://www.tango-controls.org
 X-Python-Version: >= 2.6

## taurus 3.3.0+dfsg

=== debian/changelog ===
taurus (3.3.0+dfsg-2~bpo70+1) wheezy-backports; urgency=medium

  * Backport to stable.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 25 Sep 2014 22:15:59 +0200

taurus (3.3.0+dfsg-2) unstable; urgency=low

  * debian/control
    - Add Breaks python-sardana (<< 1.4.0-1~) (Closes: #754811)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Aug 2014 10:17:19 +0200

taurus (3.3.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 3.3.0+dfsg
  * debian/copyright
    - add Files-Excluded to remove embeded copy of python modules
  * debian/watch
    - add the dversionmangle option
  * debian/control
    - python-spyderlib (>= 2.2)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 11 Jul 2014 22:41:11 +0200

=== debian/control ===
--- 
+++ 
@@ -39,9 +39,10 @@
          python-pytango,
          python-qt4,
          python-qwt5-qt4,
-         python-spyderlib
+         python-spyderlib (>= 2.2)
 Recommends: pymca,
             qt4-designer
+Breaks: python-sardana (<< 1.4.0-1~)
 Provides: ${python:Provides}
 Description: framework for Tango Control System CLI and GUI applications.
  TAURUS is a library for connecting client side applications (command-line

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,13 @@
 	dh_auto_install -- --skip-build --no-doc
 	dh_numpy
 
+override_dh_installdocs:
+	dh_installdocs
+	# Replace duplicate files with symlinks
+	rdfind -outputname /dev/null -makesymlinks true debian/python-taurus-doc
+	# Fix those symlinks to make them relative
+	symlinks -r -s -c debian/python-taurus-doc
+
 %:
 	dh $@ --with python2 $(WITH_SPHINXDOC)

## taurus 3.3.1+dfsg

=== debian/changelog ===
taurus (3.3.1+dfsg-1) unstable; urgency=high

  * Imported Upstream version 3.3.1+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 27 Oct 2014 11:01:19 +0100

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://pypi.python.org/packages/source/t/taurus/taurus-(.*)\.tar\.gz

## taurus 3.6.0+dfsg

=== debian/changelog ===
taurus (3.6.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 3.6.0+dfsg
  * Fix the homepage and contact URL
  * debian/control
    - Add the VCS-X
    - Build-Depends
      Added xvfb and xauth in order to build the documentation
      Removed imagemagick and inkscape not needed anymore.
  * debian/copyright
    - Use Files-Excluded to remove unwanted files.
  * debian/watch
    - Use repacksuffix

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 24 Jul 2015 18:07:00 +0200

taurus (3.4.0+dfsg-1~exp1) experimental; urgency=medium

  * Imported Upstream version 3.4.0+dfsg
  * Standards-Version bump to 3.9.6 (nothing to do)
  * debian/watch use the pypi redirector.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 06 Feb 2015 07:43:13 +0100

=== debian/control ===
Source: taurus
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               graphviz,
               libqt4-dev,
               pymca,
               pyqt4-dev-tools,
               python-all,
               python-guiqwt,
               python-h5py,
               python-lxml,
               python-numpy,
               python-ply,
               python-pytango,
               python-qt4,
               python-qwt5-qt4,
               python-sphinx,
               python-spyderlib,
               rdfind,
               symlinks,
               xauth,
               xvfb
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/taurus.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/taurus.git
Homepage: http://www.taurus-scada.org
X-Python-Version: >= 2.6

Package: python-taurus
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-guiqwt,
         python-h5py,
         python-lxml,
         python-ply,
         python-pytango,
         python-qt4,
         python-qwt5-qt4,
         python-spyderlib (>= 2.2)
Recommends: pymca,
            qt4-designer
Breaks: python-sardana (<< 1.4.0-1~)
Provides: ${python:Provides}
Description: Framework for scientific/industrial CLIs and GUIs - Python2
 Taurus is a Python framework for control and data acquisition CLIs
 and GUIs in scientific/industrial environments. It supports multiple
 control systems or data sources: Tango, EPICS, spec...  New control
 system libraries can be integrated through plugins.
 .
 This is the Python 2 version of the package.

Package: python-taurus-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Framework for scientific/industrial CLIs and GUIs - Documentation
 Taurus is a Python framework for control and data acquisition CLIs
 and GUIs in scientific/industrial environments. It supports multiple
 control systems or data sources: Tango, EPICS, spec...  New control
 system libraries can be integrated through plugins.
 .
 This package contains the documentation for the python-taurus library.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+export HOME=$(CURDIR)/debian
 
 VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
 
@@ -18,10 +19,12 @@
 	rm -rf doc/source/devel/api
 	rm -f doc/source/devel/catalog.html
 	rm -f lib/taurus/qt/qtgui/resource/catalog.html
+	rm -f lib/taurus/qt/qtgui/graphic/jdraw/jdraw_lextab.py
+	rm -f lib/taurus/qt/qtgui/graphic/jdraw/jdraw_yacctab.py
 
 override_dh_auto_build:
 	dh_auto_build -- --no-doc --with-extra-widgets
-	python setup.py build_doc --external-img-tools
+	xvfb-run -a python setup.py build_doc
 
 override_dh_auto_install:
 	dh_auto_install -- --skip-build --no-doc

## taurus 3.7.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Section: science
 Priority: extra
 Build-Depends: debhelper (>= 9),
+               dh-python,
                graphviz,
                libqt4-dev,
                pymca,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=taurus
export PYBUILD_BUILD_ARGS=--no-doc --with-extra-widgets
export PYBUILD_INSTALL_ARGS=--skip-build --no-doc


%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -f lib/taurus/qt/qtgui/resource/*.rcc
	rm -f lib/taurus/qt/qtgui/resource/*.qrc
	rm -rf doc/source/devel/api
	rm -f doc/source/devel/catalog.html
	rm -f lib/taurus/qt/qtgui/resource/catalog.html
	rm -f lib/taurus/qt/qtgui/graphic/jdraw/jdraw_lextab.py
	rm -f lib/taurus/qt/qtgui/graphic/jdraw/jdraw_yacctab.py

override_dh_auto_build:
	dh_auto_build
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' xvfb-run {interpreter} setup.py build_doc" dh_auto_build

override_dh_installdocs:
	dh_installdocs
	# Replace duplicate files with symlinks
	rdfind -outputname /dev/null -makesymlinks true debian/python-taurus-doc
	# Fix those symlinks to make them relative
	symlinks -r -s -c debian/python-taurus-doc
	dh_numpy

override_dh_auto_test:

## taurus 3.7.0+dfsg

=== debian/changelog ===
taurus (3.7.0+dfsg-2) unstable; urgency=medium

  debian/patches
    + 0001-fix-ordered-dict-import.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 09 Mar 2016 10:46:59 +0100

taurus (3.7.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 3.7.0+dfsg
  * switch to pybuild

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 17 Feb 2016 18:43:26 +0100

## taurus 4.0.1+dfsg

=== debian/changelog ===
taurus (4.0.1+dfsg-2) unstable; urgency=medium

  * Updated debian/rules to avoid missing copyright file (Closes: #836945)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 11 Sep 2016 09:39:56 +0200

taurus (4.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 4.0.1+dfsg
  * Standards-Version bump to 3.9.8 (nothing to do)
  * Debian/control
    + Updated the Vcs-X (git -> https)
    + Depends:
      + python-enum34, python-pint, python-pymca5,
        python-setuptools, python-sphinx-rtd-theme (added)
      + pymca (removed)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 27 Aug 2016 14:44:24 +0200

## taurus 4.0.3+dfsg

=== debian/changelog ===
taurus (4.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version 4.0.3+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 23 Jan 2017 18:39:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,30 @@
                dh-python,
                graphviz,
                libqt4-dev,
-               pymca,
                pyqt4-dev-tools,
                python-all,
+	       python-enum34,
                python-guiqwt,
                python-h5py,
                python-lxml,
                python-numpy,
+	       python-pint,
                python-ply,
+               python-pymca5,
                python-pytango,
                python-qt4,
                python-qwt5-qt4,
+	       python-setuptools,
                python-sphinx,
+	       python-sphinx-rtd-theme,
                python-spyderlib,
                rdfind,
                symlinks,
                xauth,
                xvfb
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/taurus.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/taurus.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/taurus.git
 Homepage: http://www.taurus-scada.org
 X-Python-Version: >= 2.6
 
@@ -35,15 +39,17 @@
 Section: python
 Depends: ${misc:Depends},
          ${python:Depends},
+	 python-enum34,
          python-guiqwt,
          python-h5py,
          python-lxml,
+	 python-pint,
          python-ply,
          python-pytango,
          python-qt4,
          python-qwt5-qt4,
          python-spyderlib (>= 2.2)
-Recommends: pymca,
+Recommends: python-pymca5,
             qt4-designer
 Breaks: python-sardana (<< 1.4.0-1~)
 Provides: ${python:Provides}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=taurus
export PYBUILD_AFTER_INSTALL_python2=dh_numpy
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' xvfb-run {interpreter} -m sphinx -N -bhtml source build/html" dh_auto_build  # HTML generator
	dh_installdocs "doc/build/html" -p python-taurus-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,\
dversionmangle=s/.dfsg//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/taurus/taurus-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## taurus 4.5.0+dfsg

=== debian/changelog ===
taurus (4.5.0+dfsg-2) unstable; urgency=medium

  * Add python3-taurus package 

 -- Carlos Pascual <cpascual@cells.es>  Tue, 05 Feb 2019 16:15:03 +0100

taurus (4.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version 4.5.0  (closes: #875202, #918807 )
  * Suggest python-taurus-doc in bin packages (closes: #849617 )
  * Standards-Version bump to 4.3.0 (nothing to do)
  * Make debian/watch file a dummy one
  * Drop existing quilt patch queue
  * Remove existing local-options
  * Remove .tangorc
  * Update d/copyright
  * Update depend and add cpascual as uploader
  * Update doc-base metadata
  * Fix various lintian warnings
  * Add patch to avoid privacy-breach lintian error

 -- Carlos Pascual <cpascual@cells.es>  Wed, 30 Jan 2019 10:52:00 +0000

=== debian/control ===
Source: taurus
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Carlos Pascual <cpascual@cells.es>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               graphviz,
               python-all,
	       python-enum34,
               python-future,
               python-guiqwt,
               python-h5py,
               python-lxml,
               python-numpy,
	       python-pint,
               python-ply,
               python-pymca5,
               python-pyqt5,
               python-pyqt5.qtopengl,
	       python-setuptools,
               python-sphinx,
	       python-sphinx-rtd-theme,
               python-spyder,
               python-tango,
               python3-all,
               python3-future,
               python3-guiqwt,
               python3-h5py,
               python3-lxml,
               python3-numpy,
               python3-pint,
               python3-ply,
               python3-pymca5,
               python3-pyqt5,
               python3-pyqt5.qtopengl,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-spyder,
               python3-tango,
               qttools5-dev-tools,
               rdfind,
               sphinx-common,
               symlinks,
               xauth,
               xvfb
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/taurus
Vcs-Git: https://salsa.debian.org/science-team/taurus.git
Homepage: http://www.taurus-scada.org

Package: python-taurus
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-enum34,
         python-future,
         python-guiqwt,
         python-h5py,
         python-lxml,
         python-numpy,
         python-pint,
         python-ply,
         python-pyqt5,
         python-pyqt5.qtopengl,
         python-setuptools,
         python-spyder,
         python-tango
Recommends: python-pymca5,
            qttools5-dev-tools
Suggests: python-taurus-doc
Breaks: python-sardana (<< 1.4.0-1~)
Provides: ${python:Provides}
Description: Framework for scientific/industrial CLIs and GUIs - Python2
 Taurus is a Python framework for control and data acquisition CLIs
 and GUIs in scientific/industrial environments. It supports multiple
 control systems or data sources: Tango, EPICS, ...  New control
 system libraries can be integrated through plugins.
 .
 This is the Python 2 version of the package.

Package: python3-taurus
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-future,
         python3-guiqwt,
         python3-h5py,
         python3-lxml,
         python3-numpy,
         python3-pint,
         python3-ply,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-setuptools,
         python3-spyder,
         python3-tango
Recommends: python3-pymca5,
            qttools5-dev-tools,
            python
Suggests: python-taurus-doc
Provides: ${python3:Provides}
Description: Framework for scientific/industrial CLIs and GUIs - Python3
 Taurus is a Python framework for control and data acquisition CLIs
 and GUIs in scientific/industrial environments. It supports multiple
 control systems or data sources: Tango, EPICS, ...  New control
 system libraries can be integrated through plugins.
 .
 This is the Python 3 version of the package.

Package: python-taurus-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Framework for scientific/industrial CLIs and GUIs - Documentation
 Taurus is a Python framework for control and data acquisition CLIs
 and GUIs in scientific/industrial environments. It supports multiple
 control systems or data sources: Tango, EPICS, ...  New control
 system libraries can be integrated through plugins.
 .
 This package contains the documentation for the taurus Python module.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=taurus
-export PYBUILD_AFTER_INSTALL_python2=dh_numpy
+export PYBUILD_AFTER_INSTALL=dh_numpy
 export PYBUILD_DISABLE=test
+export PYBUILD_INSTALL_ARGS_python3=--install-scripts=/usr/share/python3-taurus/scripts/
 
 %:
-	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

## taurus 4.6.2+dfsg

=== debian/changelog ===
taurus (4.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 4.6.2
  * Python 2 removal
  * Standards-Version bump to 4.4.1 (nothing to do)
  * Debhelper compat level bumped to 12 (nothing to do)

 -- Carlos Pascual <cpascual@cells.es>  Mon, 07 Oct 2019 10:00:00 +0100

taurus (4.6.1+dfsg-1) unstable; urgency=medium

  [ Carlos Pascual ]
  * New upstream version 4.6.1
  * Standards-Version bump to 4.4.0 (nothing to do)
  * Use debhelper-compat instead of debian/compat.
  * d/changelog: Remove trailing whitespaces.
  * Rename taurus script to taurus-py2 in taurus-python
  * Add man page for taurus script

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 27 Aug 2019 21:04:54 +0200

=== debian/control ===
Source: taurus
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Carlos Pascual <cpascual@cells.es>
Section: science
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-click,
               python3-future,
               python3-guiqwt,
               python3-h5py,
               python3-lxml,
               python3-numpy,
               python3-pint,
               python3-ply,
               python3-pymca5,
               python3-pyqt5,
               python3-pyqt5.qtopengl,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-spyder,
               python3-tango,
               qttools5-dev-tools,
               rdfind,
               sphinx-common,
               symlinks,
               xauth,
               xvfb
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/taurus
Vcs-Git: https://salsa.debian.org/science-team/taurus.git
Homepage: http://www.taurus-scada.org

Package: python3-taurus
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-click,
         python3-future,
         python3-guiqwt,
         python3-h5py,
         python3-lxml,
         python3-numpy,
         python3-pint,
         python3-ply,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-setuptools,
         python3-spyder,
         python3-tango
Recommends: python3-pymca5,
            qttools5-dev-tools,
Suggests: python-taurus-doc
Provides: ${python3:Provides}
Description: Framework for scientific/industrial CLIs and GUIs - Python3
 Taurus is a Python framework for control and data acquisition CLIs
 and GUIs in scientific/industrial environments. It supports multiple
 control systems or data sources: Tango, EPICS, ...  New control
 system libraries can be integrated through plugins.
 .
 This is the Python 3 version of the package.

Package: python-taurus-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Framework for scientific/industrial CLIs and GUIs - Documentation
 Taurus is a Python framework for control and data acquisition CLIs
 and GUIs in scientific/industrial environments. It supports multiple
 control systems or data sources: Tango, EPICS, ...  New control
 system libraries can be integrated through plugins.
 .
 This package contains the documentation for the taurus Python module.

## taurus 4.7.0+dfsg

=== debian/changelog ===
taurus (4.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 4.7.0
  * Standards-Version bump to 4.5.0 (nothing to do)
  * Register docs in doc-base
  * Debhelper compat level bumped to 13 (nothing to do)
  * CI: enable aptly job
  * CI: simplify gitlab.yml
  * CI: allow failure in reprotest

 -- Carlos Pascual <cpascual@cells.es>  Wed, 16 Sep 2020 18:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-click,
@@ -29,7 +29,7 @@
                symlinks,
                xauth,
                xvfb
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/taurus
 Vcs-Git: https://salsa.debian.org/science-team/taurus.git
 Homepage: http://www.taurus-scada.org

## taurus 5.0.0

=== debian/changelog ===
taurus (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0
  * Remove dfsg patch (upstream is dfsg-ready)
  * Remove python3-future and python3-spyder dependencies

 -- Carlos Pascual <cpascual@cells.es>  Mon, 15 Nov 2021 16:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                dh-python,
                python3-all,
                python3-click,
-               python3-future,
                python3-guiqwt,
                python3-h5py,
                python3-lxml,
@@ -21,7 +20,6 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-               python3-spyder,
                python3-tango,
                qttools5-dev-tools,
                rdfind,
@@ -40,7 +38,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-click,
-         python3-future,
          python3-guiqwt,
          python3-h5py,
          python3-lxml,
@@ -50,7 +47,6 @@
          python3-pyqt5,
          python3-pyqt5.qtopengl,
          python3-setuptools,
-         python3-spyder,
          python3-tango
 Recommends: python3-pymca5,
             qttools5-dev-tools,

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,11 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=taurus
-export PYBUILD_AFTER_INSTALL=dh_numpy
+export PYBUILD_AFTER_INSTALL=dh_numpy3
 export PYBUILD_DISABLE=test
-export PYBUILD_INSTALL_ARGS_python3=--install-scripts=/usr/share/python3-taurus/scripts/
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
# This package is maintained with a pure git workflow.
# New upstream versions are imported by merging git refs 
# from the upstream repository (not necessarily tagged) 
# into the packaging branch.
# Therefore, uscan is not a meaningful way of monitoring 
# new upstream versions. Hence this dummy file.

## taurus 5.1.8

=== debian/changelog ===
taurus (5.1.8-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Roland Mas <lolando@debian.org>  Tue, 04 Jun 2024 10:53:08 +0200

taurus (5.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Switch to standard gbp+pristine-tar workflow (with a debian/watch file).
  * Remove exclusion patterns in debian/copyright for files no longer
    present in upstream tarballs.

 -- Roland Mas <lolando@debian.org>  Tue, 27 Feb 2024 14:02:26 +0100

taurus (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * d/p/0001-Removed-CmdArgType.DevInt.patch:
    Remove a reference to CmdArgType.DevInt, fixing an FTBFS. (Closes: #1060928)
    (LP: #2049914)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 23 Jan 2024 17:01:33 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: taurus
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Carlos Pascual <cpascual@cells.es>
+Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
+ Carlos Pascual <cpascual@cells.es>,
+ Roland Mas <lolando@debian.org>
 Section: science
 Priority: optional
 Rules-Requires-Root: no

## taurus 5.2.3

=== debian/changelog ===
taurus (5.2.3-2) unstable; urgency=medium

  * Added autopkgtests.
  * Bug fix: "please add autopkgtests (to add coverage for
    python3-numpy)", thanks to Sandro Tosi (Closes: #1035270).
  * Bug fix: "Uses old name of sip module", thanks to Dmitry Shachnev
    (Closes: #966053).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 05 Mar 2025 08:43:17 +0100

taurus (5.2.3-1) unstable; urgency=medium

  [ Roland Mas ]
  * Update debian/watch to follow Gitlab.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 5.2.3

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 03 Mar 2025 17:22:14 +0100

=== debian/control ===
Source: taurus
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Carlos Pascual <cpascual@cells.es>,
 Roland Mas <lolando@debian.org>,
Section: science
Priority: optional
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-click,
 python3-guiqwt,
 python3-h5py,
 python3-lxml,
 python3-numpy,
 python3-pint,
 python3-ply,
 python3-pymca5,
 python3-pyqt5,
 python3-pyqt5.qtopengl,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib-mermaid,
 python3-tango,
 qttools5-dev-tools,
 rdfind,
 sphinx-common,
 symlinks,
 xauth,
 xvfb,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/taurus
Vcs-Git: https://salsa.debian.org/science-team/taurus.git
Homepage: http://www.taurus-scada.org

Package: python3-taurus
Architecture: all
Section: python
Depends:
 python3-click,
 python3-guiqwt,
 python3-h5py,
 python3-lxml,
 python3-numpy,
 python3-pint,
 python3-ply,
 python3-pyqt5,
 python3-pyqt5.qtopengl,
 python3-setuptools,
 python3-tango,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-pymca5,
 qttools5-dev-tools,
Suggests:
 python-taurus-doc,
Provides:
 ${python3:Provides},
Description: Framework for scientific/industrial CLIs and GUIs - Python3
 Taurus is a Python framework for control and data acquisition CLIs
 and GUIs in scientific/industrial environments. It supports multiple
 control systems or data sources: Tango, EPICS, ...  New control
 system libraries can be integrated through plugins.
 .
 This is the Python 3 version of the package.

Package: python-taurus-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Framework for scientific/industrial CLIs and GUIs - Documentation
 Taurus is a Python framework for control and data acquisition CLIs
 and GUIs in scientific/industrial environments. It supports multiple
 control systems or data sources: Tango, EPICS, ...  New control
 system libraries can be integrated through plugins.
 .
 This package contains the documentation for the taurus Python module.

=== debian/tests/control ===
Tests:
 python,
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-forked,
 python3-pytestqt,
 python3-taurus,
 xauth,
 xvfb,
Restrictions:
 allow-stderr,
 skip-not-installable,

Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 xauth,
 xvfb,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/taurus-org/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
